CacheConfig.GatewayHub.Gateway (Apache Geode 2.0.2)
Description: declaration: package: org.apache.geode.cache.configuration, class: CacheConfig, class: GatewayHub, class: Gateway

Package org.apache.geode.cache.configuration

# Class CacheConfig.GatewayHub.Gateway

java.lang.Object
org.apache.geode.cache.configuration.CacheConfig.GatewayHub.Gateway

Enclosing class:
  CacheConfig.GatewayHub

public static class CacheConfig.GatewayHub.Gateway extends Object

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice>
               <element name="gateway-endpoint" maxOccurs="unbounded">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <attribute name="host" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                       <attribute name="port" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
               <element name="gateway-listener" maxOccurs="unbounded">
                 <complexType>
                   <complexContent>
                     <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                       <sequence>
                         <element name="class-name" type="{http://geode.apache.org/schema/cache}class-name-type"/>
                         <element name="parameter" type="{http://geode.apache.org/schema/cache}parameter-type" maxOccurs="unbounded" minOccurs="0"/>
                       </sequence>
                     </restriction>
                   </complexContent>
                 </complexType>
               </element>
             </choice>
             <element name="gateway-queue" minOccurs="0">
               <complexType>
                 <complexContent>
                   <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
                     <attribute name="alert-threshold" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="batch-conflation" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                     <attribute name="batch-size" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="batch-time-interval" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="enable-persistence" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                     <attribute name="disk-store-name" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="roll-oplogs" type="{http://www.w3.org/2001/XMLSchema}boolean" />
                     <attribute name="maximum-queue-memory" type="{http://www.w3.org/2001/XMLSchema}string" />
                     <attribute name="overflow-directory" type="{http://www.w3.org/2001/XMLSchema}string" />
                   </restriction>
                 </complexContent>
               </complexType>
             </element>
           </sequence>
           <attribute name="early-ack" type="{http://www.w3.org/2001/XMLSchema}boolean" />
           <attribute name="id" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="socket-buffer-size" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="socket-read-timeout" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="concurrency-level" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="order-policy" type="{http://www.w3.org/2001/XMLSchema}string" />
         </restriction>
       </complexContent>
     </complexType>

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `CacheConfig.GatewayHub.Gateway.GatewayEndpoint`
  Java class for anonymous complex type.
  `static class`
  `CacheConfig.GatewayHub.Gateway.GatewayQueue`
  Java class for anonymous complex type.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected String`
  `concurrencyLevel`
  `protected Boolean`
  `earlyAck`
  `protected List<CacheConfig.GatewayHub.Gateway.GatewayEndpoint>`
  `gatewayEndpoints`
  `protected List<DeclarableType>`
  `gatewayListeners`
  `protected CacheConfig.GatewayHub.Gateway.GatewayQueue`
  `gatewayQueue`
  `protected String`
  `id`
  `protected String`
  `orderPolicy`
  `protected String`
  `socketBufferSize`
  `protected String`
  `socketReadTimeout`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Gateway()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getConcurrencyLevel()`
  Gets the value of the concurrencyLevel property.
  `List<CacheConfig.GatewayHub.Gateway.GatewayEndpoint>`
  `getGatewayEndpoints()`
  Gets the value of the gatewayEndpoints property.
  `List<DeclarableType>`
  `getGatewayListeners()`
  Gets the value of the gatewayListeners property.
  `CacheConfig.GatewayHub.Gateway.GatewayQueue`
  `getGatewayQueue()`
  Gets the value of the gatewayQueue property.
  `String`
  `getId()`
  Gets the value of the id property.
  `String`
  `getOrderPolicy()`
  Gets the value of the orderPolicy property.
  `String`
  `getSocketBufferSize()`
  Gets the value of the socketBufferSize property.
  `String`
  `getSocketReadTimeout()`
  Gets the value of the socketReadTimeout property.
  `Boolean`
  `isEarlyAck()`
  Gets the value of the earlyAck property.
  `void`
  `setConcurrencyLevel(String value)`
  Sets the value of the concurrencyLevel property.
  `void`
  `setEarlyAck(Boolean value)`
  Sets the value of the earlyAck property.
  `void`
  `setGatewayQueue(CacheConfig.GatewayHub.Gateway.GatewayQueue value)`
  Sets the value of the gatewayQueue property.
  `void`
  `setId(String value)`
  Sets the value of the id property.
  `void`
  `setOrderPolicy(String value)`
  Sets the value of the orderPolicy property.
  `void`
  `setSocketBufferSize(String value)`
  Sets the value of the socketBufferSize property.
  `void`
  `setSocketReadTimeout(String value)`
  Sets the value of the socketReadTimeout property.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### gatewayEndpoints

    protected List<CacheConfig.GatewayHub.Gateway.GatewayEndpoint> gatewayEndpoints

  - ### gatewayListeners

    protected List<DeclarableType> gatewayListeners

  - ### gatewayQueue

    protected CacheConfig.GatewayHub.Gateway.GatewayQueue gatewayQueue

  - ### earlyAck

    protected Boolean earlyAck

  - ### id

    protected String id

  - ### socketBufferSize

    protected String socketBufferSize

  - ### socketReadTimeout

    protected String socketReadTimeout

  - ### concurrencyLevel

    protected String concurrencyLevel

  - ### orderPolicy

    protected String orderPolicy

- ## Constructor Details

  - ### Gateway

    public Gateway()

- ## Method Details

  - ### getGatewayEndpoints

    public List<CacheConfig.GatewayHub.Gateway.GatewayEndpoint> getGatewayEndpoints()
    Gets the value of the gatewayEndpoints property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the gatewayEndpoints property.

    For example, to add a new item, do as follows:

         getGatewayEndpoints().add(newItem);

    Objects of the following type(s) are allowed in the list `CacheConfig.GatewayHub.Gateway.GatewayEndpoint`

    Returns:
      the `List` of `CacheConfig.GatewayHub.Gateway.GatewayEndpoint`s.

  - ### getGatewayListeners

    public List<DeclarableType> getGatewayListeners()
    Gets the value of the gatewayListeners property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the gatewayListeners property.

    For example, to add a new item, do as follows:

         getGatewayListeners().add(newItem);

    Objects of the following type(s) are allowed in the list `DeclarableType`

    Returns:
      the `List` of gateway listeners.

  - ### getGatewayQueue

    public CacheConfig.GatewayHub.Gateway.GatewayQueue getGatewayQueue()
    Gets the value of the gatewayQueue property. possible object is `CacheConfig.GatewayHub.Gateway.GatewayQueue`
    Returns:
      the `CacheConfig.GatewayHub.Gateway.GatewayQueue`.

  - ### setGatewayQueue

    public void setGatewayQueue(CacheConfig.GatewayHub.Gateway.GatewayQueue value)
    Sets the value of the gatewayQueue property. allowed object is `CacheConfig.GatewayHub.Gateway.GatewayQueue`
    Parameters:
      `value` - the value of the gatewayQueue property

  - ### isEarlyAck

    public Boolean isEarlyAck()
    Gets the value of the earlyAck property. possible object is `Boolean`
    Returns:
      the value of the earlyAck property

  - ### setEarlyAck

    public void setEarlyAck(Boolean value)
    Sets the value of the earlyAck property. allowed object is `Boolean`
    Parameters:
      `value` - the value of the earlyAck property

  - ### getId

    public String getId()
    Gets the value of the id property. possible object is `String`
    Returns:
      the value of the id property

  - ### setId

    public void setId(String value)
    Sets the value of the id property. allowed object is `String`
    Parameters:
      `value` - the value of the id property

  - ### getSocketBufferSize

    public String getSocketBufferSize()
    Gets the value of the socketBufferSize property. possible object is `String`
    Returns:
      the value of the socketBufferSize property

  - ### setSocketBufferSize

    public void setSocketBufferSize(String value)
    Sets the value of the socketBufferSize property. allowed object is `String`
    Parameters:
      `value` - the value of the socketBufferSize property

  - ### getSocketReadTimeout

    public String getSocketReadTimeout()
    Gets the value of the socketReadTimeout property. possible object is `String`
    Returns:
      the value of the socketReadTimeout property

  - ### setSocketReadTimeout

    public void setSocketReadTimeout(String value)
    Sets the value of the socketReadTimeout property. allowed object is `String`
    Parameters:
      `value` - the value of the socketReadTimeout property

  - ### getConcurrencyLevel

    public String getConcurrencyLevel()
    Gets the value of the concurrencyLevel property. possible object is `String`
    Returns:
      the value of the concurrencyLevel property

  - ### setConcurrencyLevel

    public void setConcurrencyLevel(String value)
    Sets the value of the concurrencyLevel property. allowed object is `String`
    Parameters:
      `value` - the value of the concurrencyLevel property

  - ### getOrderPolicy

    public String getOrderPolicy()
    Gets the value of the orderPolicy property. possible object is `String`
    Returns:
      the value of the orderPolicy property

  - ### setOrderPolicy

    public void setOrderPolicy(String value)
    Sets the value of the orderPolicy property. allowed object is `String`
    Parameters:
      `value` - the value of the orderPolicy property